# FiltersVisibility | tablefilter v0.5.3 API Document

    import FiltersVisibility from 'tablefilter/src/extensions/filtersVisibility/filtersVisibility.js'

public class | source

# FiltersVisibility

#### Extends:

Feature → FiltersVisibility

Filters Visibility extension

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter, Configuration: Object) Creates an instance of FiltersVisibility |

## Member Summary

Public Members
public | btnCssClass : String Css class for expand/collapse filters button |
public | btnHtml : String Button's custom HTML |
public | btnText : String Custom text for button |
public | contCssClass : String Css class for main container |
public | desc : String Module description |
public | enableIcon : Boolean Enable expand/collapse icon, defaults to true |
public | filtersRowIndex : Number Filters row index |
public | icnCollapse : String Collapse icon filename |
public | icnExpand : String Expand icon filename |
public | initialized : boolean |
public | name : String Module name |
public | onAfterHide : Function Callback fired after filters row is hidden |
public | onAfterShow : Function Callback fired after filters row is shown |
public | onBeforeHide : Function Callback fired before filters row is hidden |
public | onBeforeShow : Function Callback fired before filters row is shown |
public | stylesheet : String Extension's stylesheet filename |
public | targetId : String ID of main container element |
public | visibleAtStart : Boolean Make filters visible at initialization, defaults to true |

## Method Summary

Public Methods
public | buildUI () Build UI elements |
public | destroy () Destroy the UI |
public | init () Initialise extension |
public | show (visible: boolean) Show or hide filters |
public | toggle () Toggle filters visibility |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter, Configuration: Object) source

Creates an instance of FiltersVisibility

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance
Configuration | Object |  | object

## Public Members

### public btnCssClass: String source

Css class for expand/collapse filters button

### public btnHtml: String source

Button's custom HTML

### public btnText: String source

Custom text for button

### public contCssClass: String source

Css class for main container

### public desc: String source

Module description

### public enableIcon: Boolean source

Enable expand/collapse icon, defaults to true

### public filtersRowIndex: Number source

Filters row index

### public icnCollapse: String source

Collapse icon filename

### public icnExpand: String source

Expand icon filename

### public initialized: boolean source

#### Override:

Feature#initialized

### public name: String source

Module name

### public onAfterHide: Function source

Callback fired after filters row is hidden

### public onAfterShow: Function source

Callback fired after filters row is shown

### public onBeforeHide: Function source

Callback fired before filters row is hidden

### public onBeforeShow: Function source

Callback fired before filters row is shown

### public stylesheet: String source

Extension's stylesheet filename

### public targetId: String source

ID of main container element

### public visibleAtStart: Boolean source

Make filters visible at initialization, defaults to true

## Public Methods

### public buildUI() source

Build UI elements

### public destroy() source

Destroy the UI

#### Override:

Feature#destroy

### public init() source

Initialise extension

#### Override:

Feature#init

### public show(visible: boolean) source

Show or hide filters

#### Params:

Name | Type | Attribute | Description

visible

boolean

- optional
- default: true

Visibility flag

### public toggle() source

Toggle filters visibility